# This file created by conda-build 3.25.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sun Sep 24 08:39:30 2023
# ------------------------------------------------

package:
  name: pynacl
  version: 1.5.0
source:
  fn: PyNaCl-1.5.0.tar.gz
  patches:
    - 0001-Fix-name-of-static-sodium-lib.patch
  sha256: 8ac7448f09ab85811607bdd21ec2464495ac8b7c66d146bf545b0f08fb9220ba
  url: https://pypi.io/packages/source/P/PyNaCl/PyNaCl-1.5.0.tar.gz
build:
  number: '3'
  string: py38h01eb140_3
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_2
    - gcc_impl_linux-64 12.3.0 he2b93b0_2
    - gcc_linux-64 12.3.0 h76fc315_2
    - gnuconfig 2020.11.07 hd8ed1ab_0
    - kernel-headers_linux-64 2.6.32 he073ed8_16
    - ld_impl_linux-64 2.40 h41732ed_0
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_2
    - libgcc-ng 13.2.0 h807b86a_2
    - libgomp 13.2.0 h807b86a_2
    - libsanitizer 12.3.0 h0f45ef3_2
    - libstdcxx-ng 13.2.0 h7e041cc_2
    - sysroot_linux-64 2.12 he073ed8_16
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2023.7.22 hbcca054_0
    - cffi 1.15.1 py38h6d47a40_5
    - ld_impl_linux-64 2.40 h41732ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_2
    - libgomp 13.2.0 h807b86a_2
    - libnsl 2.0.0 h7f98852_0
    - libsodium 1.0.18 h36c2ea0_1
    - libsqlite 3.43.0 h2797004_0
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4 hcb278e6_0
    - openssl 3.1.3 hd590300_0
    - pip 23.2.1 pyhd8ed1ab_0
    - pycparser 2.21 pyhd8ed1ab_0
    - python 3.8.17 he550d4f_0_cpython
    - python_abi 3.8 4_cp38
    - readline 8.2 h8228510_1
    - setuptools 68.2.2 pyhd8ed1ab_0
    - tk 8.6.13 h2797004_0
    - wheel 0.41.2 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - cffi >=1.4.1
    - libgcc-ng >=12
    - libsodium >=1.0.18,<1.0.19.0a0
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - six
test:
  commands:
    - pytest
  imports:
    - nacl
    - nacl.bindings
    - nacl.pwhash
  requires:
    - hypothesis >=3.27.0
    - pytest >=3.2.1
  source_files:
    - tests/
about:
  description: 'PyNaCl is a Python binding to the Networking and Cryptography library,
    a crypto library with the stated goal of improving usability, security and speed.
    It supports Python 2.7 and 3.3+ as well as PyPy 2.6+.

    '
  dev_url: https://github.com/pyca/pynacl
  doc_url: https://pynacl.readthedocs.io/en/latest/
  home: https://github.com/pyca/pynacl
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: PyNaCl is a Python binding to the Networking and Cryptography library,
    a crypto library with the stated goal of improving usability, security and speed.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - CJ-Wright
    - mariusvniekerk
